From: "Miroslav Šulc" <fordfrog@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/visualvm/
Date: Sun, 4 Jul 2021 03:54:07 +0000 (UTC) [thread overview]
Message-ID: <1625370821.696120f42096fda5c7567a4425a2cb6a35e5e95e.fordfrog@gentoo> (raw)
commit: 696120f42096fda5c7567a4425a2cb6a35e5e95e
Author: Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 4 03:53:41 2021 +0000
Commit: Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Sun Jul 4 03:53:41 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=696120f4
dev-util/visualvm: bump to 2.0.7
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>
dev-util/visualvm/Manifest | 1 +
dev-util/visualvm/visualvm-2.0.7.ebuild | 72 +++++++++++++++++++++++++++++++++
2 files changed, 73 insertions(+)
diff --git a/dev-util/visualvm/Manifest b/dev-util/visualvm/Manifest
index a788c8273c0..2c04d2fa6b8 100644
--- a/dev-util/visualvm/Manifest
+++ b/dev-util/visualvm/Manifest
@@ -1 +1,2 @@
DIST visualvm-2.0.6.tar.gz 39086223 BLAKE2B f5657d4ccc0063281226b4d70c35820c78333db5574bae5acadc321938cfe42a3e0e4c1752badcc3e01b5694f6081213f5da898f5a13587d44e36d18fbd5c2c7 SHA512 03ad628f753e31f26217366d8f5f184f4657ba55badd55f1466dbf00cda61e9c320cc8ddb82b228863b9c6416aec3e94a01c5429e2b2f4664c9daaccd02f5d7b
+DIST visualvm-2.0.7.tar.gz 39155599 BLAKE2B 8a460cb161357114d829d41a7e4b2306e9e0023a6995aceed89cc12fc0b54d5e05402bc1b8c72d4cb3caba5a4844bfbebb4734d7f7c5663343dfb3bd4470945a SHA512 d75217fb1b2a8c4d1c44b600dc42d488be8447fc569f78c10c59954c7c64f8e1ccdeef2e6a7936e7708b9392bbd7634d7149c6d6cc797df1f0036c6c473398ff
diff --git a/dev-util/visualvm/visualvm-2.0.7.ebuild b/dev-util/visualvm/visualvm-2.0.7.ebuild
new file mode 100644
index 00000000000..e132e704c5c
--- /dev/null
+++ b/dev-util/visualvm/visualvm-2.0.7.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+NBV=113
+NBT=27102020
+NBZ=nb${NBV}_platform_${NBT}.zip
+
+inherit java-pkg-2 java-ant-2 desktop
+
+DESCRIPTION="Integrates commandline JDK tools and profiling capabilities"
+HOMEPAGE="https://visualvm.github.io"
+
+# Netbeans plattform is already included in the main archive this time
+# SRC_URI="https://github.com/oracle/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
+# https://github.com/oracle/${PN}/releases/download/${PV}/${NBZ}"
+SRC_URI="https://github.com/oracle/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2-with-linking-exception"
+SLOT="7"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=virtual/jre-1.8"
+
+# it does not compile with java 11
+DEPEND="
+ virtual/jdk:1.8"
+
+S="${WORKDIR}/${P}/${PN}"
+
+QA_PREBUILT="
+ /usr/share/visualvm/platform/modules/lib/amd64/linux/libjnidispatch-nb.so
+ /usr/share/visualvm/cluster/lib/deployed/jdk1[56]/linux-amd64/libprofilerinterface.so
+"
+
+EANT_BUILD_TARGET=build
+INSTALL_DIR=/usr/share/${PN}
+
+src_unpack() {
+ unpack ${P}.tar.gz
+ cd "${S}" || die
+ # unpack ${NBZ}
+ unpack "${S}"/"${NBZ}" # archive is included in the main archive
+}
+
+src_prepare() {
+ default
+
+ # Remove unneeded binaries
+ rm -rv netbeans/platform/lib/*.{dll,exe} \
+ netbeans/platform/modules/lib/{amd64/*.dll,i386,x86} || die
+ find libs.profiler/lib.profiler/release/lib/deployed/jdk1? -mindepth 1 \
+ -maxdepth 1 ! -name linux-amd64 -exec rm -rv {} + || die
+}
+
+src_install() {
+ # this is the visualvm cluster
+ insinto ${INSTALL_DIR}
+ doins -r build/cluster netbeans/{harness,platform}
+
+ # configuration file that can be used to tweak visualvm startup parameters
+ insinto /etc/${PN}
+ newins "${FILESDIR}"/${PN}-r2.conf ${PN}.conf
+
+ # visualvm runtime script
+ newbin "${FILESDIR}"/${PN}-r2.sh ${PN}
+
+ # makes visualvm entry
+ make_desktop_entry ${PN} VisualVM java "Development;Java;"
+}
next reply other threads:[~2021-07-04 3:54 UTC|newest]
Thread overview: 36+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-07-04 3:54 Miroslav Šulc [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-18 8:32 [gentoo-commits] repo/gentoo:master commit in: dev-util/visualvm/ Miroslav Šulc
2024-10-18 0:17 Sam James
2024-09-18 12:25 Miroslav Šulc
2024-09-07 7:20 Miroslav Šulc
2024-09-01 8:50 Miroslav Šulc
2024-09-01 7:10 Sam James
2024-08-02 13:23 Miroslav Šulc
2024-04-20 7:57 Miroslav Šulc
2024-04-19 10:46 Sam James
2024-03-20 8:59 Miroslav Šulc
2023-11-24 10:08 Miroslav Šulc
2023-11-23 16:08 Michał Górny
2023-10-24 13:18 Miroslav Šulc
2023-10-24 9:34 Miroslav Šulc
2023-09-20 7:41 Miroslav Šulc
2023-06-10 7:34 Miroslav Šulc
2023-06-10 7:34 Miroslav Šulc
2023-06-08 12:23 Arthur Zamarin
2023-05-08 5:38 Miroslav Šulc
2023-05-07 12:15 Miroslav Šulc
2022-02-19 14:23 Miroslav Šulc
2022-02-19 13:15 Jakov Smolić
2022-01-19 10:14 Miroslav Šulc
2021-11-28 8:40 Miroslav Šulc
2021-11-27 7:23 Sam James
2021-10-26 10:31 Miroslav Šulc
2021-08-23 5:35 Sam James
2021-08-05 4:52 Miroslav Šulc
2021-08-04 18:42 Agostino Sarubbo
2021-07-22 10:13 Miroslav Šulc
2018-06-07 20:37 James Le Cuirot
2018-06-07 20:34 James Le Cuirot
2018-05-29 20:26 Patrice Clement
2017-11-03 20:23 James Le Cuirot
2017-04-26 15:42 Jeroen Roovers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1625370821.696120f42096fda5c7567a4425a2cb6a35e5e95e.fordfrog@gentoo \
--to=fordfrog@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox